define(["require", "exports", "../../Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var inheritFont = { fontFamily: 'inherit' };
    var GlobalClassNames = {
        root: 'ms-Fabric'
    };
    exports.getStyles = function (props) {
        var theme = props.theme, className = props.className, isFocusVisible = props.isFocusVisible;
        var classNames = Styling_1.getGlobalClassNames(GlobalClassNames, theme);
        return {
            root: [
                classNames.root,
                isFocusVisible && 'is-focusVisible',
                theme.fonts.medium,
                {
                    color: theme.palette.neutralPrimary,
                    selectors: {
                        '& button': inheritFont,
                        '& input': inheritFont,
                        '& textarea': inheritFont
                    }
                },
                className
            ]
        };
    };
});
//# sourceMappingURL=Fabric.styles.js.map