define(["require", "exports", "tslib", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/Panel", "react"], function (require, exports, tslib_1, Button_1, Panel_1, React) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var PanelControlledExample = /** @class */ (function (_super) {
        tslib_1.__extends(PanelControlledExample, _super);
        function PanelControlledExample() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.state = {
                showPanel: false
            };
            _this._showPanel = function () {
                _this.setState({ showPanel: true });
            };
            _this._hidePanel = function () {
                _this.setState({ showPanel: false });
            };
            return _this;
        }
        PanelControlledExample.prototype.render = function () {
            return (React.createElement("div", null,
                React.createElement(Button_1.DefaultButton, { secondaryText: "Opens the Sample Panel", onClick: this._showPanel, text: "Open Panel" }),
                React.createElement(Panel_1.Panel, { isOpen: this.state.showPanel, type: Panel_1.PanelType.medium, headerText: "Controlled Panel" },
                    React.createElement("p", null,
                        "Because ",
                        React.createElement("code", null, "isOpen"),
                        " is specified and ",
                        React.createElement("code", null, "onDismiss"),
                        " does not modify the example's ",
                        React.createElement("code", null, "state"),
                        ", clicking the button below is the only way to close this Panel."),
                    React.createElement(Button_1.DefaultButton, { onClick: this._hidePanel, text: "Close Panel" }))));
        };
        return PanelControlledExample;
    }(React.Component));
    exports.PanelControlledExample = PanelControlledExample;
});
//# sourceMappingURL=Panel.Controlled.Example.js.map