"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Slider_1 = require("office-ui-fabric-react/lib/Slider");
var Stack_1 = require("../Stack");
var Styling_1 = require("office-ui-fabric-react/lib/Styling");
// Non-mutating styles definition
var stackItemStyles = {
    root: {
        alignItems: 'center',
        background: Styling_1.DefaultPalette.themePrimary,
        color: Styling_1.DefaultPalette.white,
        display: 'flex',
        justifyContent: 'center',
        overflow: 'hidden'
    }
};
var containerStyles = {
    height: 200
};
var nonShrinkingStackItemStyles = {
    root: {
        alignItems: 'center',
        background: Styling_1.DefaultPalette.themePrimary,
        color: Styling_1.DefaultPalette.white,
        display: 'flex',
        height: 50,
        justifyContent: 'center',
        overflow: 'hidden'
    }
};
// Tokens definition
var outerStackTokens = { childrenGap: 5 };
var innerStackTokens = {
    childrenGap: 5,
    padding: 10
};
var VerticalStackShrinkExample = /** @class */ (function (_super) {
    tslib_1.__extends(VerticalStackShrinkExample, _super);
    function VerticalStackShrinkExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onHeightChange = function (value) {
            _this.setState({ stackHeight: value });
        };
        _this.state = {
            stackHeight: 100
        };
        return _this;
    }
    VerticalStackShrinkExample.prototype.render = function () {
        // Mutating styles definition
        var stackStyles = {
            root: {
                background: Styling_1.DefaultPalette.themeTertiary,
                height: this.state.stackHeight + "%",
                overflow: 'hidden'
            }
        };
        return (React.createElement(Stack_1.Stack, { tokens: outerStackTokens },
            React.createElement(Slider_1.Slider, { label: "Change the stack height to see how child items shrink:", min: 1, max: 100, step: 1, defaultValue: 100, showValue: true, onChange: this._onHeightChange }),
            React.createElement("div", { className: Styling_1.mergeStyles(containerStyles) },
                React.createElement(Stack_1.Stack, { styles: stackStyles, tokens: innerStackTokens },
                    React.createElement(Stack_1.Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, disableShrink: true, styles: nonShrinkingStackItemStyles }, "I don't shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink")))));
    };
    return VerticalStackShrinkExample;
}(React.Component));
exports.VerticalStackShrinkExample = VerticalStackShrinkExample;
//# sourceMappingURL=Stack.Vertical.Shrink.Example.js.map