import * as tslib_1 from "tslib";
import * as React from 'react';
import { DefaultPalette, Slider, Stack } from 'office-ui-fabric-react';
// Non-mutating styles definition
var stackItemStyles = {
    root: {
        alignItems: 'center',
        background: DefaultPalette.themePrimary,
        color: DefaultPalette.white,
        display: 'flex',
        height: 50,
        justifyContent: 'center',
        overflow: 'hidden'
    }
};
var nonShrinkingStackItemStyles = {
    root: {
        alignItems: 'center',
        background: DefaultPalette.themePrimary,
        color: DefaultPalette.white,
        display: 'flex',
        height: 50,
        justifyContent: 'center',
        overflow: 'hidden',
        width: 500
    }
};
// Tokens definition
var outerStackTokens = { childrenGap: 5 };
var innerStackTokens = {
    childrenGap: 5,
    padding: 10
};
var HorizontalStackShrinkExample = /** @class */ (function (_super) {
    tslib_1.__extends(HorizontalStackShrinkExample, _super);
    function HorizontalStackShrinkExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onWidthChange = function (value) {
            _this.setState({ stackWidth: value });
        };
        _this.state = {
            stackWidth: 100
        };
        return _this;
    }
    HorizontalStackShrinkExample.prototype.render = function () {
        // Mutating styles definition
        var stackStyles = {
            root: {
                background: DefaultPalette.themeTertiary,
                overflow: 'hidden',
                width: this.state.stackWidth + "%"
            }
        };
        return (React.createElement(Stack, { tokens: outerStackTokens },
            React.createElement(Slider, { label: "Change the stack width to see how child items shrink:", min: 1, max: 100, step: 1, defaultValue: 100, showValue: true, onChange: this._onWidthChange }),
            React.createElement(Stack, { horizontal: true, styles: stackStyles, tokens: innerStackTokens },
                React.createElement(Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink"),
                React.createElement(Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink"),
                React.createElement(Stack.Item, { grow: true, disableShrink: true, styles: nonShrinkingStackItemStyles }, "I don't shrink"),
                React.createElement(Stack.Item, { grow: true, styles: stackItemStyles }, "I shrink"))));
    };
    return HorizontalStackShrinkExample;
}(React.Component));
export { HorizontalStackShrinkExample };
//# sourceMappingURL=Stack.Horizontal.Shrink.Example.js.map