import * as tslib_1 from "tslib";
import * as React from 'react';
import { Slider } from 'office-ui-fabric-react/lib/Slider';
import { Stack } from '../Stack';
import { DefaultPalette } from 'office-ui-fabric-react/lib/Styling';
// Non-mutating styles definition
var textStyles = {
    width: 50,
    height: 50,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    color: DefaultPalette.white
};
var firstStackStyles = {
    root: {
        background: DefaultPalette.neutralTertiary
    }
};
var firstStackItemStyles = tslib_1.__assign({}, textStyles, { background: DefaultPalette.themePrimary });
var secondStackStyles = {
    root: {
        background: DefaultPalette.neutralSecondary
    }
};
var secondStackItemStyles = tslib_1.__assign({}, textStyles, { background: DefaultPalette.themeDark });
var thirdStackStyles = {
    root: {
        background: DefaultPalette.neutralPrimary
    }
};
var thirdStackItemStyles = tslib_1.__assign({}, textStyles, { background: DefaultPalette.themeDarker });
// Tokens definition
var sectionStackTokens = { childrenGap: 10 };
var wrapStackTokens = { childrenGap: '30 40' };
var firstStackTokens = { childrenGap: '10 30' };
var secondStackTokens = { childrenGap: '20 50' };
var VerticalStackWrapNestedExample = /** @class */ (function (_super) {
    tslib_1.__extends(VerticalStackWrapNestedExample, _super);
    function VerticalStackWrapNestedExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onHeightChange = function (value) {
            _this.setState({ stackHeight: value });
        };
        _this.state = {
            stackHeight: 420
        };
        return _this;
    }
    VerticalStackWrapNestedExample.prototype.render = function () {
        var stackHeight = this.state.stackHeight;
        // Mutating styles definition
        var containerStackStyles = {
            root: {
                background: DefaultPalette.themeTertiary,
                height: stackHeight
            }
        };
        return (React.createElement(Stack, { tokens: sectionStackTokens },
            React.createElement(Slider, { label: "Change the stack height to see how child items wrap onto multiple columns:", min: 1, max: 420, step: 1, defaultValue: 420, showValue: true, onChange: this._onHeightChange }),
            React.createElement(Stack, { wrap: true, styles: containerStackStyles, tokens: wrapStackTokens },
                React.createElement(Stack, { wrap: true, styles: firstStackStyles, tokens: firstStackTokens },
                    React.createElement("span", { style: firstStackItemStyles }, "1"),
                    React.createElement("span", { style: firstStackItemStyles }, "2"),
                    React.createElement("span", { style: firstStackItemStyles }, "3"),
                    React.createElement("span", { style: firstStackItemStyles }, "4"),
                    React.createElement("span", { style: firstStackItemStyles }, "5"),
                    React.createElement("span", { style: firstStackItemStyles }, "6"),
                    React.createElement("span", { style: firstStackItemStyles }, "7")),
                React.createElement(Stack, { wrap: true, styles: secondStackStyles, tokens: secondStackTokens },
                    React.createElement("span", { style: secondStackItemStyles }, "1"),
                    React.createElement("span", { style: secondStackItemStyles }, "2"),
                    React.createElement("span", { style: secondStackItemStyles }, "3")),
                React.createElement(Stack, { wrap: true, styles: thirdStackStyles },
                    React.createElement("span", { style: thirdStackItemStyles }, "1"),
                    React.createElement("span", { style: thirdStackItemStyles }, "2"),
                    React.createElement("span", { style: thirdStackItemStyles }, "3"),
                    React.createElement("span", { style: thirdStackItemStyles }, "4"),
                    React.createElement("span", { style: thirdStackItemStyles }, "5"),
                    React.createElement("span", { style: thirdStackItemStyles }, "6"),
                    React.createElement("span", { style: thirdStackItemStyles }, "7"),
                    React.createElement("span", { style: thirdStackItemStyles }, "8"),
                    React.createElement("span", { style: thirdStackItemStyles }, "9"),
                    React.createElement("span", { style: thirdStackItemStyles }, "10"))),
            React.createElement("span", null,
                React.createElement("b", null, "Note:")),
            React.createElement("span", null, "Support for nested wrapping of vertical flex-boxes is scarce across browsers, especially in the way they handle overflows."),
            React.createElement("span", null, "Most browsers don't scale the width of the flex-box when the inner items overflow and wrap around it."),
            React.createElement("span", null, "The one exception to this case being Microsoft Edge that handles it correctly (though this might go soon with the switch to Chromium)."),
            React.createElement("span", null, "There are ways in which we could have gone around this issue."),
            React.createElement("span", null, "However, we have chosen to adhere to the flex-box spec so that we have the correct implementation if support comes down the line.")));
    };
    return VerticalStackWrapNestedExample;
}(React.Component));
export { VerticalStackWrapNestedExample };
//# sourceMappingURL=Stack.Vertical.WrapNested.Example.js.map